%global momorel 1
%global artsver 1.5.9
%global artsrel 3m
%global qtver 3.3.7
%global kdever 3.5.9
%global kdelibsrel 8m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0

Summary: Notes taker for KDE
Name: basket
Version: 1.0.3.1
Release: %{momorel}m%{?dist}
License: GPL
URL: http://basket.kde.org/
Group: Applications/Productivity
Source0: http://basket.kde.org/downloads/%{name}-%{version}.tar.gz 
NoSource: 0
Patch0: %{name}-1.0-fix-crash.patch
Patch1: %{name}-1.0.2-gcc43.patch
Patch2: %{name}-%{version}-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq: qt3-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs3-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: desktop-file-utils
BuildPreReq: gamin-devel
BuildPreReq: gettext
BuildPreReq: gpgme-devel
BuildPreReq: libxml2

%description
This application is mainly an all-purpose notes taker. It provides baskets
where any item can be dragged and dropped: text, formatted text, links,
images, sounds, files, colors, application launcher...
BasKet lets you keep all objects in one place, and keep data at hand.

%prep
%setup -q

%patch0 -p1 -b .fix-crash
%patch1 -p1 -b .gcc43~
%patch2 -p1 -b .desktop~

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--with-extra-includes=%{_includedir}/kde \
	--with-extra-libs=%{_libdir}/kde3 \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/crystalsvg/48x48/apps/basket.png %{buildroot}%{_datadir}/pixmaps/basket.png

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --add-category Utility \
  --add-category KDE \
  --add-category Qt \
  %{buildroot}%{_datadir}/applications/kde/basket.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%{_bindir}/basket
%{_libdir}/kde3/*.la
%{_libdir}/kde3/*.so
%{_libdir}/libbasketcommon.la
%{_libdir}/libbasketcommon.so
%{_datadir}/applications/kde/basket.desktop
%{_datadir}/apps/basket
%{_datadir}/config/magic/basket.magic
%{_datadir}/doc/HTML/*/basket
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/icons/*/*/*/basket.svg
%{_datadir}/locale/*/LC_MESSAGES/basket.mo
%{_datadir}/mimelnk/application/x-basket-*.desktop
%{_datadir}/pixmaps/basket.png
%{_datadir}/services/basket*.desktop

%changelog
* Sat Jul  5 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.3.1-1m)
- version 1.0.3.1
- remove merged fix-desktop.patch
- add desktop.patch for Japanese

* Fri Jun 20 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.3-1m)
- version 1.0.3
- fix up basket.desktop

* Mon Jun  2 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.2-8m)
- rebuild without kdepim

* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.2-7m)
- rebuild against qt3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.2-6m)
- rebuild against gcc43

* Sun Feb 17 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.2-5m)
- specify KDE3 headers and libs
- modify BuildRequires

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.2-4m)
- %%NoSource -> NoSource

* Sun Jan 13 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.0.2-3m)
- add patch for gcc43, generated by gen43patch(v1)

* Fri Jul 13 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.2-2m)
- import basket-1.0-fix-crash.patch from cooker

* Sat Apr 14 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.2-1m)
- version 1.0.2

* Sat Mar 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.1-1m)
- initial package for Momonga Linux
